## org.apache.poi.poifs.property
Interface Child

All Known Subinterfaces:
  Parent

All Known Implementing Classes:
  DirectoryProperty, Property

public interface Child

This interface defines methods for finding and setting sibling Property instances

Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`Child` `getNextChild()` Get the next Child, if any
`Child` `getPreviousChild()` Get the previous Child, if any
`void` `setNextChild(Child child)` Set the next Child
`void` `setPreviousChild(Child child)` Set the previous Child

Method Detail

### getNextChild

    public Child getNextChild()

  Get the next Child, if any

  Returns:
    the next Child; may return null

### getPreviousChild

    public Child getPreviousChild()

  Get the previous Child, if any

  Returns:
    the previous Child; may return null

### setNextChild

    public void setNextChild(Child child)

  Set the next Child

  Parameters:
    `child` - the new 'next' child; may be null, which has the effect of saying there is no 'next' child

### setPreviousChild

    public void setPreviousChild(Child child)

  Set the previous Child

  Parameters:
    `child` - the new 'previous' child; may be null, which has the effect of saying there is no 'previous' child

Copyright © 2003 Apache Software Foundation.